Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.terminal
Class TerminalLockedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  opencard.core.OpenCardException
                      opencard.core.terminal.CardTerminalException
                          opencard.opt.terminal.TerminalLockedException

All Implemented Interfaces:
  java.io.Serializable

    public class TerminalLockedException

extends CardTerminalException

A `TerminalLockedException` signals that an operation was requested from a locked terminal by another thread than the lock owner.

Version:
  $Id: TerminalLockedException.java,v 1.1 1999/10/22 14:43:29 damke Exp $
Author:
  Peter Bendel (peter_bendel@de.ibm.com)
See Also:
  Serialized Form

Constructor Summary
`TerminalLockedException()` Constructs an object of this class.
`TerminalLockedException(java.lang.String s)` Constructs an exception and passes a string with a possible cause.
`TerminalLockedException(java.lang.String s, CardTerminal aTerminal)` The `CardTerminal` enhanced constructor.

Method Summary

Methods inherited from class opencard.core.terminal.CardTerminalException
`getCardTerminal, getSlot`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TerminalLockedException

    public TerminalLockedException()

  Constructs an object of this class.

### TerminalLockedException

    public TerminalLockedException(java.lang.String s)

  Constructs an exception and passes a string with a possible cause.

  Parameters:
    `s` - A message telling a bit more about the cause of this exception

### TerminalLockedException

    public TerminalLockedException(java.lang.String s,
                                   CardTerminal aTerminal)

  The `CardTerminal` enhanced constructor.

  Parameters:
    `s` - A message telling a bit more about the cause of this exception
    `aTerminal` - The `CardTerminal` where the exception originated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD